import { Router } from 'express';
import auth from '../middleware/auth.js';
import { getAll, getOne, create, update, remove } from '../controllers/servicesController.js';

const router = Router();

router.get('/', getAll);
router.get('/:id', getOne);
router.post('/', auth, create);
router.put('/:id', auth, update);
router.delete('/:id', auth, remove);

export default router;